Bug 178295 - [calendar] unable to remove pre-edit buffer cleanly in day view
[calendar] unable to remove pre-edit buffer cleanly in day view
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: i18n
Depends On:
Blocks: 208799
  Show dependency treegraph
 
Reported: 2006-01-19 02:22 EST by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 22:19:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (1.23 MB, image/png)
2006-03-21 04:39 EST, Mayank Jain
no flags Details
patch for solution of the problem (3.74 KB, patch)
2006-07-25 09:21 EDT, Mayank Jain
no flags Details | Diff
rediffed patch (5.69 KB, patch)
2006-07-26 08:34 EDT, Mayank Jain
no flags Details | Diff
Modified patch (3.74 KB, patch)
2006-07-28 02:41 EDT, Mayank Jain
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 348638 None None None Never

  None (edit)
Description Lawrence Lim 2006-01-19 02:22:13 EST
Description of problem:
When a mistake is made during input, it is not possible to remove the characters
from the pre-edit buffer in the day view of calendar. 

Version-Release number of selected component (if applicable):
evolution-2.5.4-2
evolution-data-server-1.5.4-2
scim-1.4.2-9

How reproducible:
Always

Steps to Reproduce:
1.in any of the CJKI locale, start evolution-> calendar (eg ja_JP.UTF-8)
2.use the default day view
3.select 2PM, enter a
4.activate SCIM using Ctrl-SPACE
5.enter 'kaizoku' follow by backspace to remove everything entered earlier

  
Actual results:
unable to remove pre-edit buffer

Expected results:
able to remove pre-edit buffer cleanly

Additional info:
Comment 1 Mayank Jain 2006-03-21 04:39:52 EST
Created attachment 126383 [details]
screenshot 

Hi llim,
You've mentioned that 
1.in any of the CJKI locale, start evolution-> calendar (eg ja_JP.UTF-8)
2.use the default day view
3.select 2PM, enter a
4.activate SCIM using Ctrl-SPACE

When I enter "a", I cannot activate the scim IM as there's no choice. Is the
default day view the same i'm using in the screenshot?

Note that I can activate scim IM in evo mail (html mode).
Comment 2 Mayank Jain 2006-03-21 05:50:24 EST
Hi llim,

When you say "Select 2 pm", you mean mean to single click on 2 pm or double click?

- If single click, then scim cannot be activated as there's no option in right
click to choose the IM (as in screenshot).
- If you are talking of double click, which text box are you refering?

Thanks.
Comment 3 Lawrence Lim 2006-03-21 06:34:48 EST
RE Comment #1
Yes, in the screenshot, tt's the day view.

RE Comment #2
Its a single click (notice the time slot gets focus and is hightlighted) 
-> enter a (allow u to start IC, u will see blinking cursor) 
-> Ctrl-SPACE 
Comment 4 Matthew Miller 2006-07-10 19:13:23 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Mayank Jain 2006-07-11 00:49:59 EDT
Hi Matthew,

I dont think this is a security issue. & this behaviour is still observed in
rawhide. Hence changing version from fc3t2 to devel. Also, changing component to
Evolution.

Thanks,
Mayank
Comment 6 Leon Ho 2006-07-11 03:47:05 EDT
As Mayank is working on this bug, reassigning it to him until he have completed.
Mayank, please report on your current status.
Comment 7 Mayank Jain 2006-07-25 08:41:33 EDT
If i'm not wrong,
when preedit is being deleted & the stage is reached when last char is left in
preedit buffer & backspace is hit, text->preedit_len becomes zero (expected
behaviour) but e_text_draw still draws it. If somehow it can be called again, i
think it will cleanly remove the string.
Comment 8 Mayank Jain 2006-07-25 09:17:37 EDT
calling reset_layout(EText) in e_text_draw does the thing.
Comment 9 Mayank Jain 2006-07-25 09:21:25 EDT
Created attachment 132979 [details]
patch for solution of the problem

The patch with some code reorganization & comments & fix for this bug.
Comment 10 Mayank Jain 2006-07-25 09:37:18 EDT
Filled bug upstream at http://bugzilla.gnome.org/show_bug.cgi?id=348638
Comment 11 Mayank Jain 2006-07-25 09:40:47 EDT
Matthew, can you please test the patch?
Comment 12 Matthew Miller 2006-07-25 11:41:59 EDT
Me?
Comment 13 Mayank Jain 2006-07-26 01:52:12 EDT
Oh No, it was for mbarnes :)
Comment 14 Matthew Miller 2006-07-26 06:41:56 EDT
Okay, good, 'cause I have *no idea*. I'm just visiting this bug. :)
Comment 15 Matthew Barnes 2006-07-26 07:14:41 EDT
Mayank, some of the logic has changed slightly in 2.7.90 so the patch does not
apply cleanly.  The changes are probably not relevant to this bug, but can you
please double check?

evolution-2.7.90-1 should be in Rawhide tomorrow.
Comment 16 Mayank Jain 2006-07-26 08:34:02 EDT
Created attachment 133068 [details]
rediffed patch

Okay, i diffed it again against the CVS head.
Comment 17 Mayank Jain 2006-07-26 08:36:00 EDT
CVS head as in upstream cvs.
Comment 18 Matthew Barnes 2006-07-26 11:10:45 EDT
(In reply to comment #15)
> evolution-2.7.90-1 should be in Rawhide tomorrow.

I take that back.  Evolution-Data-Server 1.7.90 changed a bunch of sonames, so I
need to rebuild some things before this patch gets into Rawhide.

Comment 19 Mayank Jain 2006-07-26 15:34:38 EDT
Oh... Mattew, i tell you, these version changes caused me so much trouble... the
builds were going perfect but my calendar was being rendered uneditable...
version mismatch between eds & evo!
The helpfull evo team at #evolution was there to help :)
Be carefull with the eds versions while building newer evo packages.
Comment 20 Mayank Jain 2006-07-26 15:39:49 EDT
Whoops, sorry for spelling your name incorrectly.
Comment 21 Akira TAGOH 2006-07-26 17:08:25 EDT
reviewed a patch. basically it looks good though, does the last chunk that
contains gtk_im_context_focus_in/out() really need to be called to fix this bug?
Comment 22 Mayank Jain 2006-07-27 02:01:02 EDT
Oops, I think that modifications were from a previous bug I was working on.
I'll remove that hunk & reupload the patch.

Thanks Tagoh san.
Comment 23 Mayank Jain 2006-07-28 02:41:29 EDT
Created attachment 133215 [details]
Modified patch

Modified patch with unrequired hunk removed.
Comment 24 Mayank Jain 2006-07-28 04:46:29 EDT
Tagoh san, there is one more patch in upstream bug. Kindly have a look.
Thanks.
Comment 25 Matthew Barnes 2006-08-01 12:43:45 EDT
Mayank,

Let me know when you have a patch ready for Rawhide.  I'm backing off of E-D-S
1.7.90 and sticking with 1.7.4 for now.  The upgrade breaks API/ABI stability
and was causing people grief (sounds like you're aware of the pain).
Comment 26 Mayank Jain 2006-08-03 03:24:40 EDT
Matthew, We have 2 patches available upstream, one by me & another by an
upstream developer. Since both of the patches are working fine, i've requested
him to select the best one as he is more experienced evo contributor than I
am... also, we want the best for evo :)

I'm waiting for his response, i'll notify you once its decided upstream.
Comment 27 Mayank Jain 2006-09-25 04:53:15 EDT
Pinged Srag on #evo (irc.gimp.org) & asked him to get the patches reviewed &
approved.
Comment 28 Red Hat Bugzilla 2007-05-13 21:21:32 EDT
User majain@redhat.com's account has been closed
Comment 29 Matthew Barnes 2007-11-07 22:19:48 EST
Moving this to the upstream bug.  I have an updated patch there waiting for
review.  If someone could kindly apply the patch and verify that it works I can
go ahead and commit it.  I can assist with build issues if needed.

http://bugzilla.gnome.org/show_bug.cgi?id=348638

Note You need to log in before you can comment on or make changes to this bug.